Get dependency map

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developers.smartpm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "SmartPM Public API MCP server": {
    "url": "https://developers.smartpm.com/mcp"
  }
}

Close
GET /projects/{projectId}/scenarios/{scenarioId}/activity-code-metrics/dependency-map

Headers

  • X-COMPANY-ID string Required

    The company's unique ID

Path parameters

  • projectId integer(int64) Required
  • scenarioId integer(int64) Required

Query parameters

  • selectedActivityCodeIds array[integer(int64)] Required
  • filterId array[integer(int64)]
  • dataDate string

Responses

  • 200 */*

    OK

    Hide response attribute Show response attribute object
    • activityCodes array[object]
      Hide activityCodes attributes Show activityCodes attributes object
      • id integer(int64)
      • name string
      • startDate string(date-time)
      • finishDate string(date-time)
      • predecessors array[object]
        Hide predecessors attributes Show predecessors attributes object
        • id integer(int64)
        • name string
        • startDate string(date-time)
        • finishDate string(date-time)
        • status string

          Values are GOOD, FINE, or BAD.

        • relationshipCount integer(int32)
      • successors array[object]
        Hide successors attributes Show successors attributes object
        • id integer(int64)
        • name string
        • startDate string(date-time)
        • finishDate string(date-time)
        • status string

          Values are GOOD, FINE, or BAD.

        • relationshipCount integer(int32)
GET /projects/{projectId}/scenarios/{scenarioId}/activity-code-metrics/dependency-map
curl \
 --request GET 'https://live.smartpmtech.com/projects/{projectId}/scenarios/{scenarioId}/activity-code-metrics/dependency-map?selectedActivityCodeIds=42' \
 --header "X-API-KEY: $API_KEY" \
 --header "X-COMPANY-ID: string"
Response examples (200)
{
  "activityCodes": [
    {
      "id": 42,
      "name": "string",
      "startDate": "2026-05-04T09:42:00Z",
      "finishDate": "2026-05-04T09:42:00Z",
      "predecessors": [
        {
          "id": 42,
          "name": "string",
          "startDate": "2026-05-04T09:42:00Z",
          "finishDate": "2026-05-04T09:42:00Z",
          "status": "GOOD",
          "relationshipCount": 42
        }
      ],
      "successors": [
        {
          "id": 42,
          "name": "string",
          "startDate": "2026-05-04T09:42:00Z",
          "finishDate": "2026-05-04T09:42:00Z",
          "status": "GOOD",
          "relationshipCount": 42
        }
      ]
    }
  ]
}